libitpp (4.3.1-8) unstable; urgency=medium

  * Use ffloat-store on i386 to avoid accuracy based test failure. Fixed
    by Adrian Bunk (Closes: #877063)
  * Standards Version is now 4.0.0 (No changes required)

 -- Kumar Appaiah <akumar@debian.org>  Sat, 30 Sep 2017 12:34:09 +0530

libitpp (4.3.1-7) unstable; urgency=medium

  * Replace man timestamp by SOURCE_DATE_EPOCH to make the package
    build. Thanks to Eduard Sanou for the patch. (Closes: #795394)
  * Standards version is now 3.9.8 (no changes)

 -- Kumar Appaiah <akumar@debian.org>  Tue, 02 Aug 2016 21:43:35 +0530

libitpp (4.3.1-6) unstable; urgency=medium

  * debian/copyright:
    + The license is GPL-3. This is now reflected in the
    copyright. (Closes: #795153)

 -- Kumar Appaiah <akumar@debian.org>  Wed, 12 Aug 2015 14:35:31 +0530

libitpp (4.3.1-5) unstable; urgency=medium

  * Rename binary package to libitpp8v5 do handle GCC5
    transition.

 -- Kumar Appaiah <akumar@debian.org>  Thu, 06 Aug 2015 13:30:23 +0530

libitpp (4.3.1-4) experimental; urgency=medium

  * debian/patches:
    + delete-sflogo.diff: Remove the SF logo fetched from outside
    + itpp-pc-fix.diff: Correct the location of the itpp.pc file
      (Closes: #779282)
  * Standards version is now 3.9.6 (no changes needed)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 01 Mar 2015 06:47:20 +0530

libitpp (4.3.1-3) unstable; urgency=low

  * Multiarch additions to debian/{control,rules} (Closes: #742238)
    + Move the library and pkgconfig files to the
      DEB_HOST_MULTIARCH directory manually.
    + Add Multi-Arch: same for the library
  * Fix SCM URIs to canonical ones

 -- Kumar Appaiah <akumar@debian.org>  Thu, 20 Mar 2014 23:48:56 -0400

libitpp (4.3.1-2) unstable; urgency=low

  * Add a patch to use memmove instead of memcpy in multilateration
    test. (Closes: #741814)
  * Standards version is now 3.9.5 (no changes needed)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 16 Mar 2014 19:42:14 -0400

libitpp (4.3.1-1) unstable; urgency=low

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Tue, 09 Jul 2013 23:17:36 -0400

libitpp (4.3.0-3) unstable; urgency=low

  * debian/watch:
    + Add Bart Martens' updated watch file.
  * debian/patches:
    + Add itpp-config-pc.diff to install pkg-config and
      itpp-config files. (Closes: #710818)

 -- Kumar Appaiah <akumar@debian.org>  Mon, 03 Jun 2013 21:35:06 -0400

libitpp (4.3.0-2) unstable; urgency=low

  * Pass correct CPPFLAGS and CXXFLAGS to cmake
  * Separate architecture dependent and independent builds (Closes: #710338)
  * debian/patches:
      + turbo_test_fix.diff, blas_test_fix.diff, multilateration_test_fix.diff:
        Fix tests on non-amd64 architectures (Closes: #710204)
      + channel_arm_fix.diff: Don't explicitly define "Array" templates;
        these explicit template instantiations are not considered "weak"
        references on ARM architectures. (Closes: #710337)

 -- Kumar Appaiah <akumar@debian.org>  Thu, 30 May 2013 08:36:27 -0400

libitpp (4.3.0-1) unstable; urgency=low

  * New upstream release
  * Rework Debian packaging
    + Use debhelper 9
    + Standards Version is now 3.9.4
    + Use cmake for based system
    + Use jquery package for documentation
    + Update copyright file
  * Shift to Google Test based test system
  * Shift to Debian Science as the maintainer
    + Move VCS repository to the Debian Science project

 -- Kumar Appaiah <akumar@debian.org>  Sat, 25 May 2013 22:10:35 -0400

libitpp (4.2-5) unstable; urgency=low

  * Remove extraneous doxygen build dependency.

 -- Kumar Appaiah <akumar@debian.org>  Sat, 09 Jul 2011 23:14:17 -0500

libitpp (4.2-4) unstable; urgency=low

  * Build-Depend on doxygen-latex instead of texlive-*. (Closes: #616256)
  * Standards version is now 3.9.2 (no changes needed)
  * Update build rule to comply with lintian recommendations (provide
    build-arch and build-indep)

 -- Kumar Appaiah <akumar@debian.org>  Sat, 09 Jul 2011 09:42:32 -0500

libitpp (4.2-3) unstable; urgency=low

  * Avoid installing libitpp.la (Closes: #621673)

 -- Kumar Appaiah <akumar@debian.org>  Thu, 07 Apr 2011 19:01:38 -0500

libitpp (4.2-2) unstable; urgency=low

  * Upload to unstable

 -- Kumar Appaiah <akumar@debian.org>  Tue, 15 Feb 2011 22:37:22 -0600

libitpp (4.2-1) experimental; urgency=low

  * New upstream release.
  * Move dwww to suggests. (Closes: #570598).
  * Install Octave/Matlab file loading programs into /usr/share/itpp.
  * Standards version is now 3.9.1 (no changes needed)
  * Soname bump: new package: libitpp7. Remove old conflicts and replaces
    with libitpp6.
  * Update copyright

 -- Kumar Appaiah <akumar@debian.org>  Thu, 23 Sep 2010 23:34:25 -0500

libitpp (4.0.7-1) unstable; urgency=low

  * debian/watch: Update for new home page.
  * debian/patches: Removed, since patches included upstream.
  * debian/control:
    + Add ${misc:Depends} to binary packages.
    + Remove quilt dependency.

 -- Kumar Appaiah <akumar@debian.org>  Wed, 20 Jan 2010 16:06:19 -0600

libitpp (4.0.6-4) unstable; urgency=low

  * Use Nobuhiro Iwamatsu's patch 02_sh4_support.diff to support building
    on Renesas SH(sh4) CPUs. (Closes: #554380)
  * Standards Version is now 3.8.3 (No changes needed).
  * Patch system documentation (README.source) added.
  * debian/source/format: Use 3.0 (quilt)

 -- Kumar Appaiah <akumar@debian.org>  Wed, 04 Nov 2009 21:46:41 -0600

libitpp (4.0.6-3) unstable; urgency=low

  * Fix for building with gcc 4.4.
    + Patch from Martin Michlmayr in debian/patches.
      (Closes: #505350).
    + Depend on quilt.

 -- Kumar Appaiah <akumar@debian.org>  Sun, 26 Apr 2009 17:38:37 -0500

libitpp (4.0.6-2) unstable; urgency=low

  * Upload to unstable.

 -- Kumar Appaiah <akumar@debian.org>  Sun, 15 Feb 2009 08:59:13 -0600

libitpp (4.0.6-1) experimental; urgency=low

  * New upstream release.

 -- Kumar Appaiah <akumar@debian.org>  Wed, 08 Oct 2008 13:12:39 -0500

libitpp (4.0.5-1) experimental; urgency=low

  * New upstream release.
  * Update standards version to 3.8.0. (No changes needed)
  
 -- Kumar Appaiah <akumar@debian.org>  Sat, 16 Aug 2008 17:10:50 -0500

libitpp (4.0.4-2) unstable; urgency=low

  * debian/libitpp-doc.doc-base:
    + Move to section Science/Mathematics.
  * debian/control:
    + Update package description.
    + Use debian.org e-mail address.

 -- Kumar Appaiah <akumar@debian.org>  Sun, 20 Apr 2008 17:43:44 +0530

libitpp (4.0.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    + gcc43_fix.diff removed, merged upstream.
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Mon, 31 Mar 2008 17:00:06 +0530

libitpp (4.0.3-2) unstable; urgency=medium

  * debian/patches/gcc43_fix.diff:
    + Fix build problems with g++ 4.3, by explicitly using
      static_cast to convert non-double values in the
      std::complex constructor. (Closes: #471514)

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Tue, 18 Mar 2008 23:25:27 +0530

libitpp (4.0.3-1) unstable; urgency=low

  * New upstream release.
    + zdotusub used to wrap all zdotu_ calls.
  * debian/patches:
    + Remove all patches.
  * debian/rules, debian/control:
    + quilt not used.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Thu, 21 Feb 2008 15:38:56 +0530

libitpp (4.0.2-2) unstable; urgency=low

  * debian/patches/zdotu_complex_detect.diff:
    This patch has been added to use double _Complex as the return type of
    zdotu_ to work around errors in assuming direct convertibility to
    std::complex<double> of the zdotu_ function's return value.
  * debian/control, debian/rules:
    + Use quilt for patch management.
  * debian/rules:
    + Separate architecture dependent and independent build rules.
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sun, 17 Feb 2008 14:48:04 +0530

libitpp (4.0.2-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable:
    + gfortran transition complete. (Closes: #466047)
  * debian/patches:
    + zdotu_fix.diff: Removed; merged upstream.
  * debian/control:
    + Don't build-depend on quilt: no longer needed.
    + Change Build-depends on doxygen to remove Debian revision.
  * debian/rules:
    + Don't use quilt.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sat, 16 Feb 2008 13:29:40 +0530

libitpp (4.0.1-4) experimental; urgency=low

  * Updated for experimental.
  * debian/control:
    + Use newer Build-Depends on libblas-dev and liblapack-dev.
    + Build-Depend on gfortran.
  * debian/rules:
    + Use gfortran as the default Fortran compiler.
  * debian/rules:
    + Use --with-blas and --with-lapack to force use
      of reference BLAS and ATLAS.
  * debian/patches:
    + dontuse_lapack.diff is not needed because of
      configure options.
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Mon, 31 Dec 2007 10:01:27 +0530

libitpp (4.0.1-3) unstable; urgency=low

  * debian/control:
    + Build-Depend on quilt.
    + Don't Build-Conflict on atlas3-base-dev.
  * debian/rules:
    + Use quilt for patches.
  * debian/patches:
    + Add zdotu_fix.diff to prevent incorrect calling
      zdotu conventions. Thanks to Adam Piatyszek
      for the patch.
    + dontuse_lapack.diff: prevent finding Atlas,
      as we don't want to Depend on it.
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Fri, 21 Dec 2007 07:17:48 +0530

libitpp (4.0.1-2) unstable; urgency=low

  * debian/control:
    + Build-Depend on libfftw3-dev, in place of fftw3-dev.
    + Don't Build-Depend on autotools-dev.
    + Build-Conflict on atlas3-base-dev, as Atlas is not needed
      for the build.
  * debian/rules:
    + Fix to add cross build detection.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Thu, 20 Dec 2007 07:06:42 +0530

libitpp (4.0.1-1) unstable; urgency=low

  * New upstream release
    + Add #include statements for missing headers.
      (Closes: #455632)
  * debian/control:
    + Revert to older build dependencies for unstable.
    + Standards Version is now 3.7.3.
    + Add Vcs-Git and Vcs-Browser.
    + Fix spelling errors in the description for libitpp6.
  * debian/libitpp-doc.doc-base: Remove whitespace at end of file.
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sun, 16 Dec 2007 00:00:07 +0530

libitpp (4.0.0-4) experimental; urgency=low

  * Package for experimental for gfortran transition.
  * debian/control:
    + Build-Depend on the gfortran lapack, refblas
    + Change the binary package name to libitpp6gf.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Tue, 30 Oct 2007 13:15:34 +0530

libitpp (4.0.0-3) unstable; urgency=low

  * Fix watch file to handle upstream's "rc" naming.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Tue, 16 Oct 2007 08:02:06 +0530

libitpp (4.0.0-2) unstable; urgency=low

  * Add debian/patches/01_dontremove_files to prevent removal of
    itpp-config.1 and itpp.spec.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Mon, 15 Oct 2007 16:17:27 +0530

libitpp (4.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Add Homepage field.
  * debian/rules:
    + Ensure the right CXXFLAGS are specified while running configure.
    + Work around removal of itpp-config.1 and itpp.spec by upstream distclean.
  * Update documentation install directory due to usage of --docdir in
    configure.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Mon, 15 Oct 2007 11:35:03 +0530

libitpp (3.99.3.1-2) unstable; urgency=low

  * Use upstream provided manpage for itpp-config

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sat, 18 Aug 2007 06:41:02 +0530

libitpp (3.99.3.1-1) unstable; urgency=low

  * New upstream release
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Thu, 16 Aug 2007 08:40:03 +0530

libitpp (3.99.2-2) unstable; urgency=low

  * Should recommend www-browser and not x-www-browser (Closes: #434252)
  * Remove unnecessary "cflags" parameter to ./configure
  * Build-Depend on texlive-latex-base only
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sun, 22 Jul 2007 23:15:55 +0530

libitpp (3.99.2-1) unstable; urgency=low

  * New upstream release
  * Split documentation to libitpp-doc
  * Dropped atlas3 dependency
  * libitpp6-dbg package added

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Mon, 02 Jul 2007 10:16:17 +0530

libitpp (3.99.1+fixed-1) experimental; urgency=low

  * New upstream release
  * Hopefully, the last time "+fixed" has to be used!
  * Depend on teTeX or TeX Live.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Fri, 23 Mar 2007 09:35:48 +0530

libitpp (3.99.1-1) experimental; urgency=low

  * New upstream release
  * Added dependency on LAPACK, on request of upstream

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Tue, 23 Jan 2007 14:05:32 +0530

libitpp (3.10.9-1) unstable; urgency=medium

  * New upstream release
  * Added dependency on LAPACK, on request of upstream.
  * Modified to (hopefully) detect endianness on
    hppa, m68k, mips and mipsel (Closes: #407555, #407984)

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Wed, 24 Jan 2007 07:01:19 +0530

libitpp (3.10.8-1) unstable; urgency=medium

  * New upstream release
  * Patch from upstream to detect endianness
    on s390, solve build failure (Closes: #407555)

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sun, 21 Jan 2007 00:18:02 +0530

libitpp (3.10.7-1) unstable; urgency=low

  * Initial release (Closes: #405176)

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Mon,  1 Jan 2007 14:00:00 +0530
